[Development] Accelerating deprecation of MSVC 2017

Edward Welbourne edward.welbourne at qt.io
Wed Aug 21 11:14:52 CEST 2019


21.08.2019, 00:45, "Thiago Macieira" <thiago.macieira at intel.com>:
>>> I'd like to propose we announce now that it will not be supported
>>> for Qt 5.15.

Certainly if we can persuade ourselves now that this will be prudent
then, we should announce our intent as soon as we make up our minds.

>>> Even if 2019 still has code generation problems.

... today, when we're making the decision.  If MS somehow manage not to
fix them before we release 5.15, we can always change our minds.

On Tuesday, 20 August 2019 14:46:57 PDT Konstantin Tokarev wrote:
>> Does it mean that you recommend using 2015 instead?

Thiago Macieira (21 August 2019 01:19)
> No, I recommend using 2019 because MS will fix it. 2015 is no longer
> supported in 5.13.
>
> Note I'm talking about 5.15, so it's only going to affect people mid
> 2020. MS has something like 9 months left to fix the code gen issues.

... which they *do* know about and appear to actually care about.  They
have plenty of developers and care about the reputation of MSVC as a
good compiler, so it is realistic to expect they'll have these issues
fixed by then.  And we can always back out of the decision if they fail.

	Eddy.


More information about the Development mailing list